### Function

# Gtkinit_check

#### Declaration [src]

    gboolean
    gtk_init_check (
      void
    )

#### Description [src]

This function does the same work as `gtk_init()` with only a single change: It does not terminate the program if the windowing system can’t be initialized. Instead it returns `FALSE` on failure.

This way the application can fall back to some other means of communication with the user - for example a curses or command line interface.

#### Return value

Type: `gboolean`

`TRUE` if the windowing system has been successfully initialized, `FALSE` otherwise.